package premium_store.controller.DTO;

import premium_store.model.Tank;

public class TankDTO {
    private final long id;
    private final String name;
    private final SimpleNationDTO nation;
    private final LevelDTO level;
    private final int cost;

    public TankDTO(Tank tank){
        this.id = tank.getId();
        this.nation = new SimpleNationDTO(tank.getNation());
        this.level = new LevelDTO(tank.getLevel());
        this.name = tank.getName();
        this.cost = tank.getCost();
    }

    public long getId(){
        return id;
    }

    public String getName(){
        return name;
    }

    public SimpleNationDTO getNation(){
        return nation;
    }

    public LevelDTO getLevel(){
        return level;
    }

    public int getCost(){
        return cost;
    }
}
